Stencil Class Reference

Public Member Functions | Protected Attributes | Friends | List of all members
Stencil Class Reference

Vertex stencil descriptor. More...

`#include <stencilTable.h>`

Inheritance diagram for Stencil:

## Public Member Functions
| Stencil ()
| Default constructor. More...
| Stencil (int *size, Index *indices, float *weights)
| Constructor. More...
| Stencil (Stencil const &other)
| Copy constructor. More...
int | GetSize () const
| Returns the size of the stencil. More...
int * | GetSizePtr () const
| Returns the size of the stencil as a pointer. More...
Index const * | GetVertexIndices () const
| Returns the control vertices indices. More...
float const * | GetWeights () const
| Returns the interpolation weights. More...
void | Next ()
| Advance to the next stencil in the table. More...

## Protected Attributes
int * | _size
Index * | _indices
float * | _weights

## Friends
class | StencilTableFactory
class | LimitStencilTableFactory

## Detailed Description

Vertex stencil descriptor.

Allows access and manipulation of a single stencil in a StencilTable.

Definition at line 46 of file stencilTable.h.

## Constructor & Destructor Documentation

## ◆ Stencil() [1/3]

Stencil | ( |  | ) |
| inline

Default constructor.

Definition at line 51 of file stencilTable.h.

## ◆ Stencil() [2/3]

Stencil | ( | int * | size,
|  | Index * | indices,
|  | float * | weights
| ) |  |
| inline

Constructor.

Parameters

  size | Table pointer to the size of the stencil
  indices | Table pointer to the vertex indices of the stencil
  weights | Table pointer to the vertex weights of the stencil

Definition at line 61 of file stencilTable.h.

## ◆ Stencil() [3/3]

Stencil | ( | Stencil const & | other | ) |
| inline

Copy constructor.

Definition at line 70 of file stencilTable.h.

## Member Function Documentation

## ◆ GetSize()

int GetSize | ( |  | ) | const
| inline

Returns the size of the stencil.

Definition at line 77 of file stencilTable.h.

## ◆ GetSizePtr()

int* GetSizePtr | ( |  | ) | const
| inline

Returns the size of the stencil as a pointer.

Definition at line 82 of file stencilTable.h.

## ◆ GetVertexIndices()

Index const* GetVertexIndices | ( |  | ) | const
| inline

Returns the control vertices indices.

Definition at line 87 of file stencilTable.h.

## ◆ GetWeights()

float const* GetWeights | ( |  | ) | const
| inline

Returns the interpolation weights.

Definition at line 92 of file stencilTable.h.

## ◆ Next()

void Next | ( |  | ) |
| inline

Advance to the next stencil in the table.

Definition at line 97 of file stencilTable.h.

## Friends And Related Function Documentation

## ◆ LimitStencilTableFactory

friend class LimitStencilTableFactory
| friend

Definition at line 106 of file stencilTable.h.

## ◆ StencilTableFactory

friend class StencilTableFactory
| friend

Definition at line 105 of file stencilTable.h.

## Member Data Documentation

## ◆ _indices

Index* _indices
| protected

Definition at line 109 of file stencilTable.h.

## ◆ _size

int* _size
| protected

Definition at line 108 of file stencilTable.h.

## ◆ _weights

float* _weights
| protected

Definition at line 110 of file stencilTable.h.

The documentation for this class was generated from the following file:

- opensubdiv/far/stencilTable.h